using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Dvb.Descriptors;
using skyscraper5.Dvb.Psi;
using skyscraper5.Dvb.Psi.Model;

namespace skyscraper5.Skyscraper.Scraper
{
    internal class FreesatTunnelScraper : IBatEventHandler, ISdtEventHandler, ITdtEventHandler, ITotEventHandler
    {

        private ushort? networkId;
        private DateTime? currentDateTime;

        public void OnBatBouquet(BatBouquet batBouquet)
        {
        }

        public void OnBatTransportStream(BatBouquet batBouquet, BatTransportStream child)
        {
        }

        public void OnSdtService(ushort transportStreamId, ushort originalNetworkId, SdtService sdtService)
        {
        }
        
        public void OnTdtTime(DateTime utcTime)
        {
            this.currentDateTime = utcTime;
        }
        
        public void OnTotTime(DateTime utcTime, LocalTimeOffsetDescriptor ltod)
        {
            this.currentDateTime = utcTime;
        }

        public void SetNetworkId(ushort networkId)
        {
            this.networkId = networkId;
        }

        public void SetTransportStreamId(ushort transportStreamId)
        {
        }
    }
}
